Nova Lite v1
Chat Completions API
nova-lite-v1
Chat Completions API
Amazon Nova Lite 1.0 is a low-cost multimodal model from Amazon, designed for fast processing of image, video, and text inputs to generate text output. It handles real-time customer interactions, document analysis, and visual question answering with high accuracy. With a 300K token input context, it can process multiple images or up to 30 minutes of video in a single input.
API-методы и структура запроса
Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.
Chat Completions API
POST/v1/chat/completionsПример кода
Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data-raw '{
"model": "nova-lite-v1",
"messages": [
{
"role": "user",
"content": "Сколько будет 2 + 2?"
}
]
}'Параметры
Параметры, доступные в API-запросах
Max Completion TokensTool ChoiceToolsTemperatureTop PTop KStop